const v1 = {
	attributes: {
		uid: {
			type: 'number',
		},
		phaseID: {
			type: 'string',
		},
		icon: {
			type: 'string',
			default: 'bespoke',
		},
		complete: {
			type: 'string',
			default: 'active',
		},
		title: {
			type: 'string',
			placeholder: 'Module Title',
		},
		description: {
			type: 'string',
			placeholder: 'Module Description',
		},
		moduleType: {
			type: 'string',
			default: 'module-links',
		},
		openTab: {
			type: 'string',
			default: 'default',
		},
		dueDate: {
			type: 'boolean',
			default: false,
		},
		moduleDueDate: {
			type: 'string',
		},
		reminder: {
			type: 'number',
			default: 24,
		},
		status: {
			type: 'string',
			default: 'active',
		},
		moduleLinks: {
			type: 'array',
			default: [],
		},
		moduleContentPage: {
			type: 'number',
			default: 0,
		},
		moduleFiles: {
			type: 'array',
		},
		modulePrivateFiles: {
			type: 'array',
		},
		moduleClientUploads: {
			type: 'array',
			default: [],
		},
		style: {
			type: 'object',
			default: {
				color: {
					text: '#3c5063',
				},
			},
		},
	},
	save: () => {
		return null;
	},
};

export default [ v1 ];

