<?php require_once LECO_CLIENT_PORTAL_DIR . 'templates/tailwind/header.php'; ?>
    <div class="projects">
        <div class="container">
			<?php while ( have_posts() ) : the_post();
				if ( leco_client_portal()->is_five( get_the_ID() ) ) {
					try {
						$status = leco_cp_extract_portal_status( get_the_content() );
					} catch ( Exception $e ) {
						$status = '';
					}
				} else {
					$show   = get_post_meta( get_the_ID(), 'leco_cp_show_project_status', true );
					$status = get_post_meta( get_the_ID(), 'leco_cp_completion_date', true );
					$status = ( $show === 'hide' ) ? '' : ( ( time() > strtotime( $status ) ) ? esc_html__( 'Completed', 'leco-cp' ) : esc_html__( 'In Progress', 'leco-cp' ) );
				}
				?>
                <div class="row project-item">
                    <div class="col col-25">
                        <div class="project-name"><strong><?php the_title(); ?></strong></div>
                    </div>
                    <div class="col col-50">
                        <div class="project-status">
							<?php echo $status; ?>
                        </div>
                    </div>
                    <div class="col col-25">
                        <div class="project-link">
                            <a href="<?php the_permalink(); ?>" class="btn"><?php echo apply_filters( 'leco_cp_view_portal_text', esc_html__( 'View Portal', 'leco-cp' ) ); ?></a>
                        </div>
                    </div>
                </div>
			<?php endwhile; ?>
        </div>
    </div>
<?php require_once LECO_CLIENT_PORTAL_DIR . 'templates/tailwind/footer.php'; ?>
