// Deregister CP blocks in post types other than leco_client.
import domReady from '@wordpress/dom-ready';
import { select } from '@wordpress/data';
import { unregisterBlockType } from '@wordpress/blocks';

domReady( () => {
	const postType = select( 'core/editor' ).getCurrentPostType();
	if ( postType === 'leco_client' ) {
		return;
	}

	unregisterBlockType( 'leco-cp/modules' );
	unregisterBlockType( 'leco-cp/phases' );
	unregisterBlockType( 'leco-cp/project-status' );
	unregisterBlockType( 'leco-cp/project-status-block' );
	unregisterBlockType( 'leco-cp/search-bar' );
	unregisterBlockType( 'leco-cp/dashboard-link' );
	unregisterBlockType( 'leco-cp/logout-link' );
	unregisterBlockType( 'leco-cp/all-projects-link' );
	unregisterBlockType( 'leco-cp/header-logo' );
	unregisterBlockType( 'leco-cp/general-information' );
} );
